java.text

## Class MessageFormat.Field

- java.lang.Object
- - java.text.AttributedCharacterIterator.Attribute
  - - java.text.Format.Field
    - - java.text.MessageFormat.Field

All Implemented Interfaces:
  Serializable

Enclosing class:
  MessageFormat

    public static class MessageFormat.Field
    extends Format.Field

Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `MessageFormat.formatToCharacterIterator`.

Since:
  1.4
See Also:
  Serialized Form

### Field Summary

Fields
`static MessageFormat.Field` `ARGUMENT` Constant identifying a portion of a message that was generated from an argument passed into `formatToCharacterIterator`.

### Fields inherited from class java.text.AttributedCharacterIterator.Attribute

`INPUT_METHOD_SEGMENT, LANGUAGE, READING`

### Constructor Summary

Constructors
`protected` `MessageFormat.Field(String name)` Creates a Field with the specified name.

### Method Summary

Methods
`protected Object` `readResolve()` Resolves instances being deserialized to the predefined constants.

### Methods inherited from class java.text.AttributedCharacterIterator.Attribute

`equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ARGUMENT

    public static final MessageFormat.Field ARGUMENT

Constant identifying a portion of a message that was generated from an argument passed into `formatToCharacterIterator`. The value associated with the key will be an `Integer` indicating the index in the `arguments` array of the argument from which the text was generated.

### Constructor Detail

#### MessageFormat.Field

    protected MessageFormat.Field(String name)

Creates a Field with the specified name.

Parameters:
  `name` - Name of the attribute

### Method Detail

#### readResolve

    protected Object readResolve()
                          throws InvalidObjectException

Resolves instances being deserialized to the predefined constants.

Overrides:
  `readResolve` in class `AttributedCharacterIterator.Attribute`
Returns:
  resolved MessageFormat.Field constant
Throws:
  `InvalidObjectException` - if the constant could not be resolved.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.